{% extends 'base.html.twig' %}

{% block title %} Gestion des biens {% endblock %}
{% for message in app.flashes('success')%}

{% block body %}

<div class="container mt-4">
<h1>Gérer les biens </h1>
<table class="table table-striped">
<thead>
    <tr>
    <th>Titre</th>
    <th>Actions</th>
    </tr>
    </thead>
    <tbody>
    {% for property in properties %}
    <tr>
      <td>{{ property.title }}</td>
<td><a href="{{ path('admin.property.edit', {id: property.id}) }}" class="btn btn-secondary">Edit</a>
<form action="{{ url('admin.property.delete', { id: property.id }) }}" method="post" 
onsubmit="return confirm('Etes vous vraiment sûr de supprimer le bien?')" style="display:inline-block">
    <input type="hidden" name="_method" value="DELETE">
    {# the argument of csrf_token() is an arbitrary string used to generate the token #}
    <input type="hidden" name="token" value="{{ csrf_token('delete-item') }}"/>

    <button type="submit" class="btn btn-danger">Delete</button>
</form>

</td>
    </tr>
    {%  endfor %}
    </tbody>
</table> 
<div class="text-right">
<a href="{{path("admin.property.add")}}" class="btn btn-primary">Créer un nouveau bien</a>
</div>
</div>
</div>
</div>
{% endblock %}
